FUNCTION::THREAD_IND(3stap)

NAME
function::thread_indent_depth - returns the nested-depth of the current task

SYNOPSIS

    thread_indent_depth:long(delta:long)

ARGUMENTS

delta
    the amount of depth added/removed for each call

DESCRIPTION

This function returns an integer equal to the nested function-call depth starting from the outermost initial level. This function is useful for saving space (consumed by whitespace) in traces with long nested function calls. Use this function in a similar fashion to thread_indent, i.e., in call-probe, use thread_indent_depth(1) and in return-probe, use thread_indent_depth(-1)

SEE ALSO
tapset::indent(3stap)